// pages/ispPutaway/ispPutaway.js
const app = getApp()
const utils = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    entType: 1,
    entName: '',
    entTaxId: '',
    entContactPerson: '',
    entPhone: '',
    reserveMrName: '',
    reserveMrMobile: '',
    file: '',
    entAddress: '',
    availableTaxes: '',
    bankName: '',
    bankAccountNumber: '',
    payees: '',
    reviewers: '',
    defaultTaxCode: '',
    defaultItemName: '',
    //EntPwdInfoVO
    ukeyPwd: '',
    modifyUkeyPwd: '',
    digitalCertPwd: '',
    modifyDigitalCertPwd: '',
    rootLoginPwd: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  //提交信息
  submitData() {
    let params = {
      userMobile: utils.getInfo().mobile,
      reqChannel: 5,
      entType: this.data.entType,
      entName: this.data.entName ? utils.trimAll(this.data.entName) : '',
      entTaxId: this.data.entTaxId ? utils.trimAll(this.data.entTaxId) : '',
      entContactPerson: this.data.entContactPerson ? utils.trimAll(this.data.entContactPerson) : '',
      entPhone: this.data.entPhone ? utils.trimAll(this.data.entPhone) : '',
      reserveMrName: this.data.reserveMrName ? utils.trimAll(this.data.reserveMrName) : '',
      reserveMrMobile: this.data.reserveMrMobile ? utils.trimAll(this.data.reserveMrMobile) : '',
      entAddress: this.data.entAddress ? utils.trimAll(this.data.entAddress) : '',
      availableTaxes: this.data.availableTaxes ? utils.trimAll(this.data.availableTaxes) : '',
      bankName: this.data.bankName ? utils.trimAll(this.data.bankName) : '',
      bankAccountNumber: this.data.bankAccountNumber ? utils.trimAll(this.data.bankAccountNumber) : '',
      payees: this.data.payees ? utils.trimAll(this.data.payees) : '',
      reviewers: this.data.reviewers ? utils.trimAll(this.data.reviewers) : '',
      defaultTaxCode: this.data.defaultTaxCode ? utils.trimAll(this.data.defaultTaxCode) : '',
      defaultItemName: this.data.defaultItemName ? utils.trimAll(this.data.defaultItemName) : '',
      'entPwdInfoVO.ukeyPwd': this.data.ukeyPwd ? utils.trimAll(this.data.ukeyPwd) : '',
      'entPwdInfoVO.modifyUkeyPwd': this.data.modifyUkeyPwd ? utils.trimAll(this.data.modifyUkeyPwd) : '',
      'entPwdInfoVO.digitalCertPwd': this.data.digitalCertPwd ? utils.trimAll(this.data.digitalCertPwd) : '',
      'entPwdInfoVO.modifyDigitalCertPwd': this.data.modifyDigitalCertPwd ? utils.trimAll(this.data.modifyDigitalCertPwd) : '',
      'entPwdInfoVO.rootLoginPwd': this.data.rootLoginPwd ? utils.trimAll(this.data.rootLoginPwd) : ''
    }
    if (params.entName === '') {
      utils.toast('纳税人名称不能为空')
      return
    }
    if (params.entTaxId === '') {
      utils.toast('税号不能为空')
      return
    }
    if (params.entContactPerson === '') {
      utils.toast('企业联系人不能为空')
      return
    }
    if (params.entPhone === '') {
      utils.toast('企业电话不能为空')
      return
    }
    if (params.reserveMrName === '') {
      utils.toast('管理者姓名不能为空')
      return
    }
    if (params.reserveMrMobile === '') {
      utils.toast('管理者手机号不能为空')
      return
    }
    if (this.data.file === '') {
      utils.toast('营业执照不能为空，如果不方便提供的话，可以先随便上传一张小于1M的图片')
      return
    }
    if(params.entAddress){
      const reg = /^.+-.+-.+$/
      if(!reg.test(params.entAddress)){
        utils.toast('公司地址格式不正确')
        return
      }
    }
    utils.uploadFile({
      url: '/sys/entInfo/preInit',
      filePath: this.data.file,
      name: 'file',
      formData: params,
      sendBefore() {
        wx.showLoading({
          title: '提交中...',
          mask: true
        })
      },
      complete() {
        wx.hideLoading()
      }
    }).then(res => {
      let result = JSON.parse(res.data)
      if (result.code === 0) {
        wx.redirectTo({
          url: '/pages/ispPutaway/success'
        })
      } else {
        utils.toast(result.msg)
      }
    })
  },

  //根据税号查询企业信息
  getInfo() {
    let params = {
      entTaxId: this.data.entTaxId ? utils.trimAll(this.data.entTaxId) : ''
    }
    if (params.entTaxId === '') {
      utils.toast('税号不能为空')
      return
    }
    utils.axios({
      method: 'get',
      url: '/sys/entInfo/findInitInfo',
      data: params,
      sendBefore() {
        wx.showLoading({
          title: '查询中...',
          mask: true
        })
      },
      complete() {
        wx.hideLoading()
      },
      success: res => {
        let result = res.data
        if (result) {
          this.setData({
            entName: result.entName ? utils.trimAll(result.entName) : '',
            entTaxId: result.entTaxId ? utils.trimAll(result.entTaxId) : '',
            entContactPerson: result.entContactPerson ? utils.trimAll(result.entContactPerson) : '',
            entPhone: result.entPhone ? utils.trimAll(result.entPhone) : '',
            reserveMrName: result.reserveMrName ? utils.trimAll(result.reserveMrName) : '',
            reserveMrMobile: result.reserveMrMobile ? utils.trimAll(result.reserveMrMobile) : '',
            entAddress: result.entAddress ? utils.trimAll(result.entAddress) : '',
            availableTaxes: result.availableTaxes ? utils.trimAll(result.availableTaxes) : '',
            bankName: result.bankName ? utils.trimAll(result.bankName) : '',
            bankAccountNumber: result.bankAccountNumber ? utils.trimAll(result.bankAccountNumber) : '',
            payees: result.payees ? utils.trimAll(result.payees) : '',
            reviewers: result.reviewers ? utils.trimAll(result.reviewers) : '',
            defaultTaxCode: result.defaultTaxCode ? utils.trimAll(result.defaultTaxCode) : '',
            defaultItemName: result.defaultItemName ? utils.trimAll(result.defaultItemName) : '',
            ukeyPwd: result.ukeyPwd ? utils.trimAll(result.ukeyPwd) : '',
            modifyUkeyPwd: result.modifyUkeyPwd ? utils.trimAll(result.modifyUkeyPwd) : '',
            digitalCertPwd: result.digitalCertPwd ? utils.trimAll(result.digitalCertPwd) : '',
            modifyDigitalCertPwd: result.modifyDigitalCertPwd ? utils.trimAll(result.modifyDigitalCertPwd) : '',
            rootLoginPwd: result.rootLoginPwd ? utils.trimAll(result.rootLoginPwd) : ''
          })
        }
      }
    })
  },

  //获取输入的信息
  selectEntType(e) {
    this.setData({
      entType: e.detail.value
    })
  },
  chooseImage() {
    utils.chooseImage({
      sendBefore: () => {
        wx.showLoading({
          title: '上传中...'
        })
      },
      complete: () => {
        wx.hideLoading()
      }
    }).then(res => {
      let tempFiles = res.tempFiles[0]
      if (tempFiles.size > 1 * 1024 * 1024) {
        utils.toast('上传的图片不能大于1M')
        return
      } else {
        this.setData({
          file: res.tempFilePaths[0]
        })
      }
    })
  },
  previewImage() {
    wx.previewImage({
      urls: [this.data.file]
    })
  },
  getentName(e) {
    let value = e.detail.value
    this.setData({
      entName: value
    })
  },
  getentTaxId(e) {
    let value = e.detail.value
    this.setData({
      entTaxId: value
    })
  },
  getentContactPerson(e) {
    let value = e.detail.value
    this.setData({
      entContactPerson: value
    })
  },
  getentPhone(e) {
    let value = e.detail.value
    this.setData({
      entPhone: value
    })
  },
  getreserveMrName(e) {
    let value = e.detail.value
    this.setData({
      reserveMrName: value
    })
  },
  getreserveMrMobile(e) {
    let value = e.detail.value
    this.setData({
      reserveMrMobile: value
    })
  },
  getentAddress(e) {
    let value = e.detail.value
    this.setData({
      entAddress: value
    })
  },
  getavailableTaxes(e) {
    let value = e.detail.value
    this.setData({
      availableTaxes: value
    })
  },
  getbankName(e) {
    let value = e.detail.value
    this.setData({
      bankName: value
    })
  },
  getbankAccountNumber(e) {
    let value = e.detail.value
    this.setData({
      bankAccountNumber: value
    })
  },
  getpayees(e) {
    let value = e.detail.value
    this.setData({
      payees: value
    })
  },
  getreviewers(e) {
    let value = e.detail.value
    this.setData({
      reviewers: value
    })
  },
  getdefaultTaxCode(e) {
    let value = e.detail.value
    this.setData({
      defaultTaxCode: value
    })
  },
  getdefaultItemName(e) {
    let value = e.detail.value
    this.setData({
      defaultItemName: value
    })
  },
  getukeyPwd(e) {
    let value = e.detail.value
    this.setData({
      ukeyPwd: value
    })
  },
  getmodifyUkeyPwd(e) {
    let value = e.detail.value
    this.setData({
      modifyUkeyPwd: value
    })
  },
  getdigitalCertPwd(e) {
    let value = e.detail.value
    this.setData({
      digitalCertPwd: value
    })
  },
  getmodifyDigitalCertPwd(e) {
    let value = e.detail.value
    this.setData({
      modifyDigitalCertPwd: value
    })
  },
  getrootLoginPwd(e) {
    let value = e.detail.value
    this.setData({
      rootLoginPwd: value
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})